texture mtlSkin1;
texture mtlSkin2;

sampler blurmap = sampler_state
{
	Texture = <mtlSkin2>;
	MinFilter = Linear;
	MagFilter = Linear;
	MipFilter = Linear;   
	AddressU  = clamp;
	AddressV  = clamp;
};
sampler basemap = sampler_state
{
	Texture = <mtlSkin1>;
	MinFilter = Linear;
	MagFilter = Linear;
	MipFilter = Linear;   
	AddressU  = clamp;
	AddressV  = clamp;
};

struct VS_OUTPUT
{
	float4 Pos   : POSITION;
	float2 Tex   : TEXCOORD0;
};

VS_OUTPUT mainVS( float4 Pos      : POSITION,
float2 Tex      : TEXCOORD0 )
{
	VS_OUTPUT Out = (VS_OUTPUT) 0; 
	Out.Pos.z = 0;
	Out.Pos.w= 1;
	Out.Pos.x=Tex.x*2.01-1.005;
	Out.Pos.y=1.005-Tex.y*2.01;
	Out.Tex = Tex;
	return Out;
}
float4 vecSkill1;

half luminance(half3 c)
{
	return dot( c, float3(0.3, 0.59, 0.11) );
}

// this function should be baked into a texture lookup for performance
half highlights(half3 c)
{
	return smoothstep(vecSkill1.x, 1.0, luminance(c.rgb));
}

float4 mainPS_down(float2 Tex: TEXCOORD0) : COLOR
{
	float4 c;
	c = tex2D(basemap, Tex)*0.25;
	c += tex2D(basemap, Tex+float2(0.01,0))*0.25;	
	c += tex2D(basemap, Tex+float2(0,0.01))*0.25;	
	c += tex2D(basemap, Tex+float2(0.01,0.01))*0.25;
	c.a = highlights(c.rgb);
	return c;
}


float4 mainPS_black(float2 Tex: TEXCOORD0) : COLOR
{
	float4 c=0;
	c.a=1;
	return c;
}

technique downsample
{
	
	pass p0
	{
		AlphaBlendEnable=false;
		AlphaTestEnable=false;
		
		VertexShader = compile vs_1_1 mainVS();
		PixelShader = compile ps_2_0 mainPS_down();
	}
}