texture mtlSkin1;
texture mtlSkin2;

sampler blurmap = sampler_state
{
	Texture = <mtlSkin1>;
	MinFilter = Linear;
	MagFilter = Linear;
	MipFilter = Linear;   
	AddressU  = clamp;
	AddressV  = clamp;
};
sampler basemap = sampler_state
{
	Texture = <mtlSkin2>;
	MinFilter = Linear;
	MagFilter = Linear;
	MipFilter = Linear;   
	AddressU  = clamp;
	AddressV  = clamp;
};

struct VS_OUTPUT
{
	float4 Pos   : POSITION;
	float2 Tex   : TEXCOORD0;
};

VS_OUTPUT mainVS( float4 Pos      : POSITION,
float2 Tex      : TEXCOORD0 )
{
	VS_OUTPUT Out = (VS_OUTPUT) 0; 
	Out.Pos.z = 0;
	Out.Pos.w= 1;
	Out.Pos.x=Tex.x*2.01-1.005;
	Out.Pos.y=1.005-Tex.y*2.01;
	Out.Tex = Tex;
	return Out;
}

float4 vecSkill1;
float4 vecSkill5;

float4 mainPS_comp(float2 Tex: TEXCOORD0) : COLOR 
{	
	float4 Color=0;
	float4 orig=tex2D(basemap, Tex);
	float4 blur=tex2D(blurmap, Tex);
	Color=vecSkill1.w*orig + vecSkill5.x*blur + vecSkill1.z*blur.a;
	Color.a=1;
	return Color; 
}


technique Comp
{

	pass p0
	{
		alphablendenable=false;
		ZENABLE = TRUE;		
		
		VertexShader = compile vs_1_1 mainVS();
		PixelShader = compile ps_2_0 mainPS_comp();
	}
}
