texture mtlSkin1;
texture mtlSkin2;

sampler blurmap = sampler_state
{
	Texture = <mtlSkin2>;
	MinFilter = Linear;
	MagFilter = Linear;
	MipFilter = Linear;   
	AddressU  = clamp;
	AddressV  = clamp;
};
sampler basemap = sampler_state
{
	Texture = <mtlSkin1>;
	MinFilter = Linear;
	MagFilter = Linear;
	MipFilter = Linear;   
	AddressU  = clamp;
	AddressV  = clamp;
};

struct VS_OUTPUT
{
	float4 Pos   : POSITION;
	float2 Tex   : TEXCOORD0;
};

VS_OUTPUT mainVS( float4 Pos      : POSITION,
float2 Tex      : TEXCOORD0 )
{
	VS_OUTPUT Out = (VS_OUTPUT) 0; 
	Out.Pos.z = 0;
	Out.Pos.w= 1;
	Out.Pos.x=Tex.x*2.01-1.005;
	Out.Pos.y=1.005-Tex.y*2.01;
	Out.Tex = Tex;
	return Out;
}

float4 vecSkill1;




float4 mainPS_blurV(float2 Tex: TEXCOORD0) : COLOR
{
	float4 c=0;
	for(int i=0; i<21; i++)
	{
		float2 coord=Tex+float2((i-10)*0.015*vecSkill1.y,0);
		c+=tex2D(basemap,coord)*(1-((i-10)/11))/20;		
	}
	return c;
}

float4 mainPS_black(float2 Tex: TEXCOORD0) : COLOR
{
	float4 c=0;
	return c;
}




technique BlurV
{
	pass p0
	{
		AlphaBlendEnable=false;
		AlphaTestEnable=false;	
		
		VertexShader = compile vs_1_1 mainVS();
		PixelShader = compile ps_2_0 mainPS_blurV();
	}
}